Vector::BLF::GeneralSerialEvent(3)

NAME
Vector::BLF::GeneralSerialEvent

SYNOPSIS

#include <GeneralSerialEvent.h>

  Public Member Functions
GeneralSerialEvent (const GeneralSerialEvent &)=default
GeneralSerialEvent & operator= (const GeneralSerialEvent &)=default
GeneralSerialEvent (GeneralSerialEvent &&)=default
GeneralSerialEvent & operator= (GeneralSerialEvent &&)=default
virtual void read (AbstractFile &is)
virtual void write (AbstractFile &os)
virtual uint32_t calculateObjectSize () const

  Public Attributes
uint32_t dataLength {}
length of variable data in bytes
uint32_t timeStampsLength {}
length of variable timestamps in bytes
uint64_t reservedGeneralSerialEvent {}
std::vector< uint8_t > data {}
variable data
std::vector< int64_t > timeStamps {}
variable timestamps (optional)

Detailed Description

general serial event

Member Function Documentation

  uint32_t Vector::BLF::GeneralSerialEvent::calculateObjectSize () const [virtual]

Calculates the objectSize

Returns
    object size

  void Vector::BLF::GeneralSerialEvent::read (AbstractFile & is) [virtual]

Read the data of this object

Parameters
    is input stream

  void Vector::BLF::GeneralSerialEvent::write (AbstractFile & os) [virtual]

Write the data of this object

Parameters
    os output stream

Member Data Documentation

  std::vector<uint8_t> Vector::BLF::GeneralSerialEvent::data {}

variable data variable data

  uint32_t Vector::BLF::GeneralSerialEvent::dataLength {}

length of variable data in bytes length of variable data in bytes

  uint64_t Vector::BLF::GeneralSerialEvent::reservedGeneralSerialEvent {}
reserved

  std::vector<int64_t> Vector::BLF::GeneralSerialEvent::timeStamps {}

variable timestamps (optional) variable timestamps (optional)

  uint32_t Vector::BLF::GeneralSerialEvent::timeStampsLength {}

length of variable timestamps in bytes length of variable timestamps in bytes

Author

Generated automatically by Doxygen for Vector BLF from the source code.